Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/opensm/APKBUILD: new aport

From: Jann - Ove Risvik <jann.ove_at_usaklig.com>
Date: Sat, 9 Jul 2016 17:26:50 +0200

https://openfabrics.org/index.php/openfabrics-software.html
OpenSM InfiniBand subnet manager

3.rd attempt. This time with update_config_sub
---
 testing/opensm/APKBUILD | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)
diff --git a/testing/opensm/APKBUILD b/testing/opensm/APKBUILD
index 43bc5b7..e2ec875 100644
--- a/testing/opensm/APKBUILD
+++ b/testing/opensm/APKBUILD
_at_@ -16,11 +16,22 @@ source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
 0001-musl-fixes.patch"
 
 builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$builddir"
+	update_config_sub || return 1
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
 build() {
 	cd "$builddir"
 	./configure \
-		--build=`echo $CBUILD | sed s/alpine-linux-musl/linux/`\
-		--host=`echo $CHOST | sed s/alpine-linux-musl/linux/` \
+		--build=$CBUILD \
+		--host=$CHOST \
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jul 09 2016 - 17:26:50 GMT